@{
    ViewBag.Title = "Log";
}
<div id="fb-root"></div>
<a href="#" onclick="loginByFacebook();">Login with Facebook</a>
<a href="/Home/IndexTw">Login with Twitter</a>
<fb:login-button scope="public_profile" onlogin="checkLoginState();">
</fb:login-button>
    <%-- now this is some required facebook's JS, two things to pay attention to
    1. setting the ApplicationID, To make this project work you have to edit "callback.aspx.cs" and put your facebook-app-key there
    2. Adjust the permissions you want to get from user, set that in scope options below. --%>
<script type="text/javascript">
    window.fbAsyncInit = function () {
        FB.init({
            appId: '216981945455357',
            status: true, // check login status
            cookie: true, // enable cookies to allow the server to access the session
            xfbml: true, // parse XFBML
            oauth: true // enable OAuth 2.0
        });
    };
    (function () {
        var e = document.createElement('script'); e.async = true;
        e.src = document.location.protocol +
        '//connect.facebook.net/en_US/all.js';
        document.getElementById('fb-root').appendChild(e);
    }());

    function loginByFacebook() {
        FB.login(function (response) {
            if (response.authResponse) {
                FacebookLoggedIn(response);
            } else {
                console.log('User cancelled login or did not fully authorize.');
            }
        }, { scope: 'email' });
    }

    function FacebookLoggedIn(response) {
        var loc = '/Home/CallBackFB';
        if (loc.indexOf('?') > -1)
            window.location = loc + '&authprv=facebook&access_token=' + response.authResponse.accessToken;
        else
            window.location = loc + '?authprv=facebook&access_token=' + response.authResponse.accessToken;
    }

    function checkLoginState() {

        FB.login(function (response) {
            if (response.authResponse) {
                FacebookLoggedIn(response);
            } else {
                console.log('User cancelled login or did not fully authorize.');
            }
        }, { scope: 'email' });
    }
</script>